---
updatedAt: 2026-05-27T07:43:30.000Z
agentTools:
  projectIndex: https://developers.getdefacto.com/llms.txt
---

# /bill/{bill_id}/sent


This endpoint enables you to notify Defacto when you sent the bill for the fees of the loans to your user.
A bill should be sent to the user only when its status is VALIDATED (see GET /bills endpoint).

It is very important to use this endpoint so that Defacto can proceed to a recollection process
that will be fair for our users.

This endpoint is useful only for partners who send the bill themselves.
By default the bills are sent the the payers of the fees by Defacto.
If you need to send them by yourself please get in touch with us.


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "API Reference",
    "version": "v1.0.0"
  },
  "paths": {
    "/bill/{bill_id}/sent": {
      "post": {
        "description": "\nThis endpoint enables you to notify Defacto when you sent the bill for the fees of the loans to your user.\nA bill should be sent to the user only when its status is VALIDATED (see GET /bills endpoint).\n\nIt is very important to use this endpoint so that Defacto can proceed to a recollection process\nthat will be fair for our users.\n\nThis endpoint is useful only for partners who send the bill themselves.\nBy default the bills are sent the the payers of the fees by Defacto.\nIf you need to send them by yourself please get in touch with us.\n",
        "parameters": [
          {
            "in": "path",
            "name": "bill_id",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/APIBillSentByPartnerRequest"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "",
            "content": {
              "*/*": {
                "schema": {}
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ],
        "tags": [
          "Billing"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://api-sandbox.getdefacto.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "Bearer": {
        "in": "header",
        "name": "Authorization",
        "type": "apiKey"
      }
    },
    "schemas": {
      "APIBillSentByPartnerRequest": {
        "properties": {
          "sent_on": {
            "format": "date-time",
            "type": "string"
          },
          "to_email_addresses": {
            "items": {
              "format": "email",
              "type": "string"
            },
            "minItems": 1,
            "type": "array"
          }
        },
        "required": [
          "sent_on",
          "to_email_addresses"
        ],
        "type": "object"
      }
    }
  }
}
```